Page MenuHomePhabricator

text entered into the log entry should remain when an error is returned
Closed, ResolvedPublic

Description

Author: mike.lifeguard+bugs

Description:
Import fails more often than it succeeds. If the user has entered something for the log, but the import fails (for any reason), then that text should still be there so they can simply try again.


Version: 1.14.x
Severity: enhancement

Details

Reference
bz16793

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:23 PM
bzimport set Reference to bz16793.
aaron added a comment.Jan 2 2009, 8:25 PM

Fixed in r45340

brion added a comment.Jan 6 2009, 11:45 PM

There's some problems with this, in particular for Wikimedia usage, as the transwiki import subform isn't getting handled right:

http://www.mediawiki.org/wiki/Special:Code/MediaWiki/45340#c1150

brion added a comment.Jan 7 2009, 4:34 AM

Reverting for now in r45489

Change 149621 had a related patch set uploaded by TTO:
Preserve log comment text field value across import attempts

https://gerrit.wikimedia.org/r/149621

Change 149621 merged by jenkins-bot:
Preserve log comment text field value across import attempts

https://gerrit.wikimedia.org/r/149621

successfully merged